{ lib
, stdenvNoCC
, fetchFromGitHub
, gtk3
, hicolor-icon-theme
}:

stdenvNoCC.mkDerivation rec {
  pname = "windows-xp-icon-theme";
  version = "2025-07-10";

  src = fetchFromGitHub {
    owner = "foglar";
    repo = "Windows-XP";
    rev = "master";
    hash = "sha256-BM/pWQKJ8cOBrYkJ5+tu4BW7WQjCeNuzDng/cILV5tI=";
    #domain = "gitea.homework.zip";
    #owner = "shinya";
    #repo = "WinXP-Icons";
    #rev = "master";
  };

  nativeBuildInputs = [ gtk3 ];

  dontBuildIconCache = true;

  installPhase = '' 
    runHook preInstall
    mkdir -p $out/share/icons/ # copy everything to the icon directory 
    cp -r . $out/share/icons/${pname} 
    runHook postInstall 
  '';

  meta = with lib; {
    description = "Windows XP icon theme for Linux (B00merang Artwork)";
    homepage = "https://github.com/B00merang-Artwork/Windows-XP";
    license = licenses.gpl2;
    platforms = platforms.linux;
  };
}


